Lines Matching refs:cipher

237 	tristate "Kerberos 5 combined hash+cipher support"
243 Combined hash and cipher support for Kerberos 5 RFC3961 simplified
375 AES cipher algorithms (Rijndael)(FIPS-197, ISO/IEC 18033-3)
393 Anubis cipher algorithm
395 Anubis is a variable key length cipher which can use keys from
406 ARIA cipher algorithm (RFC5794)
422 Blowfish cipher algorithm, by Bruce Schneier
424 This is a variable key length cipher which can use keys from 32
433 Common parts of the Blowfish cipher algorithm shared by the
440 Camellia cipher algorithms (ISO/IEC 18033-3)
442 Camellia is a symmetric key block cipher developed jointly
452 Common parts of the CAST cipher algorithms shared by the
460 CAST5 (CAST-128) cipher algorithm (RFC2144, ISO/IEC 18033-3)
476 cipher algorithms
483 Khazad cipher algorithm
497 SEED cipher algorithm (RFC4269, ISO/IEC 18033-3)
499 SEED is a 128-bit symmetric key block cipher that has been
502 It is a 16 round block cipher with the key size of 128 bit.
511 Serpent cipher algorithm, by Anderson, Biham & Knudsen
526 SM4 cipher algorithms (OSCCA GB/T 32907-2016,
553 TEA (Tiny Encryption Algorithm) cipher algorithms
555 Tiny Encryption Algorithm is a simple cipher that uses
571 Twofish cipher algorithm
574 candidate cipher by researchers at CounterPane Systems. It is a
575 16 round block cipher supporting key sizes of 128, 192, and 256
583 Common parts of the Twofish cipher algorithm shared by the
602 each sector using the XChaCha12 stream cipher, two passes of
604 the AES-256 block cipher on a single 16-byte block. On CPUs
622 ARC4 cipher algorithm
624 ARC4 is a stream cipher using keys ranging from 8 bits to 2048
634 The ChaCha20, XChaCha20, and XChaCha12 stream cipher algorithms
636 ChaCha20 is a 256-bit high-speed stream cipher designed by Daniel J.
658 This block cipher mode is required for IPSec ESP (XFRM_ESP).
710 narrow block cipher mode for dm-crypt. Use it with cipher
713 rest is used to tie each cipher block to its logical position.
770 ChaCha20 stream cipher and Poly1305 authenticator combined
836 and decryption requests to the encapsulated cipher after applying
1268 tristate "Symmetric key cipher algorithms (deprecated)"
1319 tristate "AEAD cipher algorithms (deprecated)"